﻿using System;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace StylingTabControl
{
	public partial class Page : UserControl
	{
		public Page()
		{
			InitializeComponent();
		}

        private void RadTabControl_SelectionChanged(object sender, RadSelectionChangedEventArgs e)
        {
            if(e.AddedItems !=null && e.AddedItems.Count>0)
            {
                RadTabItem selectedItem = e.AddedItems[0] as RadTabItem;
                if (selectedItem == null) return;
                Canvas.SetZIndex(selectedItem, 10);
            }
            if (e.RemovedItems != null && e.RemovedItems.Count > 0)
            {
                RadTabItem unSelectedItem = e.RemovedItems[0] as RadTabItem;
                if (unSelectedItem == null) return;
                Canvas.SetZIndex(unSelectedItem, 0);
            }
        }
	}
}
