﻿using System;
using System.Windows;
using System.Windows.Data;
using System.Globalization;

namespace StylingTabControl
{
    public class TabItemMarginConverter : IValueConverter
    {
        // Methods
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if ((bool)value)
            {
                return this.SelectedMargin;
            }
            return this.UnselectedMargin;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        // Properties
        public Thickness SelectedMargin
        {
            get;
            set;
        }

        public Thickness UnselectedMargin
        {
            get;
            set;
        }
    }
}